From d63e0ec47bc4b4a841dcc8f2bfa404488331d09c Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jun 28 2024 02:14:44 +0000
Subject: [PATCH 208/220] fix: require desktop-file-utils


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 9ea9bab..87c1878 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -56,6 +56,7 @@ BuildRequires:  cargo
 BuildRequires:  wayland-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
+BuildRequires:  desktop-file-utils
 
 Requires:       hicolor-icon-theme
 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 6902f9b..459e847 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -63,6 +63,7 @@ BuildRequires:  pulseaudio-libs-devel
 BuildRequires:  mesa-libEGL-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
+BuildRequires:  desktop-file-utils
 
 Requires:       cosmic-icons
 Requires:       cosmic-panel
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index b2cfd23..c320817 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -59,6 +59,7 @@ BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
+BuildRequires:  desktop-file-utils
 
 Requires:       hicolor-icon-theme
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 06e5a8f..e420b9d 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -60,6 +60,7 @@ BuildRequires:  cargo
 BuildRequires:  just
 BuildRequires:  glib2-devel
 BuildRequires:  libxkbcommon-devel
+BuildRequires:  desktop-file-utils
 
 Requires:       gvfs
 Requires:       xdg-utils
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 4b86246..ec9c65c 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -60,6 +60,7 @@ BuildRequires:  cargo
 BuildRequires:  wayland-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
+BuildRequires:  desktop-file-utils
 
 Requires:       pop-launcher
 Requires:       hicolor-icon-theme
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 4088cbb..fa5a644 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -46,6 +46,7 @@ BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
+BuildRequires:  desktop-file-utils
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index f17ba19..592cbbc 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -62,6 +62,7 @@ BuildRequires:  wayland-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  systemd-devel
 BuildRequires:  just
+BuildRequires:  desktop-file-utils
 
 Requires:       hicolor-icon-theme
 
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index cf4925d..a712340 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -59,6 +59,7 @@ BuildRequires:  flatpak-devel
 BuildRequires:  libappstream-glib
 BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
+BuildRequires:  desktop-file-utils
 
 Requires:       PackageKit
 Requires:       flatpak-libs
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 8a544ff..d59e217 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -58,6 +58,7 @@ BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
+BuildRequires:  desktop-file-utils
 
 Requires:       hicolor-icon-theme
 
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index cc9cd53..86b3cb4 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -63,6 +63,7 @@ BuildRequires:  libseat-devel
 BuildRequires:  libinput-devel
 BuildRequires:  mesa-libgbm-devel
 BuildRequires:  make
+BuildRequires:  desktop-file-utils
 
 Requires:       cosmic-comp
 Requires:       hicolor-icon-theme

